Bug 251120 - net/sngrep: Update to 1.4.8
Summary: net/sngrep: Update to 1.4.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://github.com/irontec/sngrep/rel...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-11-14 00:59 UTC by daniel.engberg.lists
Modified: 2020-11-16 15:18 UTC (History)
2 users (show)

See Also:
tad: maintainer-feedback+
tad: maintainer-feedback+


Attachments
Patch for sngrep (2.82 KB, patch)
2020-11-14 00:59 UTC, daniel.engberg.lists
no flags Details | Diff
Patch for sngrep v2 (2.81 KB, patch)
2020-11-14 07:19 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-11-14 00:59:59 UTC
Created attachment 219662 [details]
Patch for sngrep

Update sngrep to 1.4.8

Add pkgconfig dependency
Sort options in alphabetical order
Add support for GnuTLS
Make more use of ports framework

Compile and run tested on FreeBSD 13.0-CURRENT r364979 (amd64) (both OpenSSL and GnuTLS)
Poudriere testport OK 12.2-RELEASE (amd64)
Comment 1 Automation User 2020-11-14 01:06:30 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/215996367
Comment 2 Talal Al Dik 2020-11-14 01:37:36 UTC
Comment on attachment 219662 [details]
Patch for sngrep

Thank you.
Comment 3 daniel.engberg.lists 2020-11-14 07:19:24 UTC
Created attachment 219674 [details]
Patch for sngrep v2

Minor cosmetic fix
Comment 4 Fernando Apesteguía freebsd_committer 2020-11-15 19:12:19 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.


Thanks!
Comment 5 Fernando Apesteguía freebsd_committer 2020-11-15 19:13:11 UTC
(In reply to Talal Al Dik from comment #2)
Hi Talal,

Could you approve in the maintainer-feedback field?

Thanks!
Comment 6 commit-hook freebsd_committer 2020-11-16 15:18:16 UTC
A commit references this bug:

Author: fernape
Date: Mon Nov 16 15:17:25 UTC 2020
New revision: 555482
URL: https://svnweb.freebsd.org/changeset/ports/555482

Log:
  net/sngrep: Update to 1.4.8

  From ChangeLog: https://github.com/irontec/sngrep/releases/tag/v1.4.8

   * capture: add support for IPv6 SDP connection address
   * capture: fixed a crash while parsing INVITES without R-URI
   * capture: fixed a crash while parsing malformed Req/Resp lines
   * call flow: improved IPv6 RTP columns address display
   * core: code cleanup removing unused variables
   * core: fixed multiple snprintf memory overflows
   * core: avoid crash when linking against ncurses without tinfo

  PR:	251120
  Submitted by:	daniel.engberg.lists@pyret.net
  Approved by:	tad@vif.com (maintainer)

Changes:
  head/net/sngrep/Makefile
  head/net/sngrep/distinfo
Comment 7 Fernando Apesteguía freebsd_committer 2020-11-16 15:18:46 UTC
Committed,

Thanks!